Subject: RE: [Syslog] Draft-ietf-syslog-transport-tls-01.txt

From: "Anton Okmianski \(aokmians\)" <[email-masked]>
Date: Wed, 7 Jun 2006 14:38:04 -0400

Agree! Syslog over TLS is ancient. Does the patent submission also need to precede all discussions we had on this public list for years? Years ago when we decided to split syslog protocol and syslog transport it was to accommodate support of TLS transport in addition to UDP.    

This could be a reason to drop TLS and go with SSH. But what would prevent somebody from claiming a patent on this too regardless of prior art of these discussions? Does the patent claim cover syslog over any secure transport? 

How do we know what the patent actually claims? Does IETF require disclosure of patent specifics in these cases so that WG can asses the exact nature of overlap and decide on steps forward? When was the patent filed? 

It feels a bit like an abuse to use the IETF WG to do/publicize the work, then hold their work hostage with a patent threat. Especially on something so truly trivial. I certainly don't want to waste time standardizing something that could be covered by a patent. 

Anton. 

> -----Original Message-----
> From: Balazs Scheidler [mailto:[email-masked]] 
> Sent: Wednesday, June 07, 2006 2:21 PM
> To: David B Harrington
> Cc: [email-masked]
> Subject: Re: [Syslog] Draft-ietf-syslog-transport-tls-01.txt
> 
> On Wed, 2006-06-07 at 13:25 -0400, David B Harrington wrote:
> > Hi,
> > 
> > As co-chair it is my responsibility to make the WG aware that there
> > has been a disclosure that an unpublished pending patent application
> > might be infringed by the implementation of the specifications in
> > draft-ietf-syslog-transport-tls-01.txt.
> > 
> > The disclosure can be found at
> > https://datatracker.ietf.org/public/ipr_detail_show.cgi?&ipr_id=717.
> > 
> > David Harrington
> > [email-masked] 
> > [email-masked]
> > [email-masked]
> > co-chair, Syslog WG 
> 
> This is insane. I just tried google to search for syslog-ng 
> and stunnel,
> I got 89000 result pages, the contents most probably describing how to
> combine syslog-ng and TLS, e.g. transfer syslog messages on a TLS
> encrypted channel
> 
> I would call that prior art, although the details of the 
> patent is to be
> seen, but I am not happy. I might even choose not to interoperate with
> the protocol specified here with syslog-ng.
> 
> Puzzled.
> 
> -- 
> Bazsi
> 
> 
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/syslog
> 

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog